{% csrf_token %}

<div class="w-50">
  {% for error in non_field_errors %}
  <p class="form-error">{{ error }}</p>
  {% endfor %} {% for field in form%}
  <div class="mb-3">
    <label class="form-label" for="{{field.id_for_label }}"
      >{{ field.label }}</label
    >
    {{ field }} {% for error in field.errors %}
    <p class="text-danger">{{ error }}</p>
    {% endfor %}
  </div>
  {% endfor %}
</div>
<!-- {{ form.as_p }} -->
<!-- 
<div class="w-50">
<div class="mb-3">
    <label class="form-label" {{ form.title.id_for_label }}>{{ form.title.label }}</label>
    {{ form.title }}    
    {% for error in form.title.title %}
            <p class="text-danger">{{ error }}</p>
    {% endfor %}
</div>

<div class="mb-3">
    <label for="{{ form.author.id_for_label }}">{{ form.author.label }}</label>
    {{ form.author }}    
    {% for error in form.author.errors %}
            <p class="text-danger">{{ error }}</p>
    {% endfor %}
        
</div>

<div class="mb-3">
    <label for="{{ form.body.id_for_label }}">{{ form.body.label }}</label>
    {{ form.body }}    
    {% for error in form.body.errors %}
            <p class="text-danger">{{ error }}</p>
    {% endfor %}
        
</div>
</div> -->
<!-- <div class="mb-3">
    <label for="title" class="form-label">Title*</label>
    {% if errors.title %}
        <input type="text" name="title" class="form-control red_border red_border" id="title" 
        placeholder="Title" value="{{ post.title }}">
        <p class="text-danger">{{ errors.title }}</p>
    {% else %}
        <input type="text" name="title" class="form-control" id="title" placeholder="Title*" value="{{ post.title }}">
    {% endif %}
</div>
<div class="mb-3">
    <label for="body" class="form-label">Body</label>
    <textarea class="form-control" name="body" id="body" rows="4">{{ post.body }}</textarea>
</div>
<div class="mb-3">
    <label for="author" class="form-label">Author*</label>
    {% if errors.author %}
        <input type="text" name ="author"  class="form-control red_border" id="author" 
        placeholder="author" value="{{ post.author }}">
        <p class="text-danger">{{ errors.author }}</p>
    {% else %}
        <input type="text" name ="author"  class="form-control" id="author" placeholder="author*" value="{{ post.author }}">
    {% endif %}
</div> -->

<button type="submit" class="btn btn-primary mt-3">{{ button_text }}</button>
